---
lang: en
title: 'API docs: context.injectionmetadata'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.injectionmetadata.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [InjectionMetadata](./context.injectionmetadata.md)

## InjectionMetadata interface

An object to provide metadata for `@inject`

**Signature:**

```typescript
export interface InjectionMetadata extends Omit<ResolutionOptions, 'session'> 
```
**Extends:** Omit&lt;[ResolutionOptions](./context.resolutionoptions.md)<!-- -->, 'session'&gt;

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[bindingComparator?](./context.injectionmetadata.bindingcomparator.md)


</td><td>


</td><td>

[BindingComparator](./context.bindingcomparator.md)


</td><td>

_(Optional)_ Optional comparator for matched bindings


</td></tr>
<tr><td>

[decorator?](./context.injectionmetadata.decorator.md)


</td><td>


</td><td>

string


</td><td>

_(Optional)_ Name of the decorator function, such as `@inject` or `@inject.setter`<!-- -->. It's usually set by the decorator implementation.


</td></tr>
</tbody></table>

